﻿<!-- BEGIN PAGE HEADER-->
<h3 class="page-title">
    User
    <!--<small>Permission template</small>-->
</h3>

<!-- END PAGE HEADER-->
<!-- BEGIN MAIN CONTENT -->
<div class="row">
    <div class="col-md-12">
        <!-- BEGIN: ACCORDION DEMO -->

        <div class="tab-pane" id="tab_1">
            <div class="portlet box blue">
                <div class="portlet-title">
                    <div class="caption">
                        <i class="fa fa-gift"></i><!--Form Permission-->
                    </div>
                    <div class="tools">
                        <a href="javascript:;" class="collapse"> </a>
                        <a href="#portlet-config" data-toggle="modal" class="config"> </a>
                        <a href="javascript:;" class="reload"> </a>
                        <a href="javascript:;" class="remove"> </a>
                    </div>
                </div>
                <div class="portlet-body form">

                    <!-- BEGIN FORM-->
                    <form action="#" class="horizontal-form">
                        <div class="form-body">

                            <uib-tabset active="active">
                                <uib-tab index="0" heading="General information">
                                    <div class="row">
                                        <div class="col-md-5">
                                            <fieldset>
                                                <div class="form-group" ng-class="validation.FirstName ? 'has-error' : ''">
                                                    <label class="control-label">First Name: </label>
                                                    <input type="text" id="firstName" class="form-control" placeholder="first name" ng-model="dataUser.FirstName">
                                                    <span class="help-block" ng-show="validation.FirstName">{{validation.FirstName}}</span>
                                                </div>
                                                <div class="form-group" ng-class="validation.LastName ? 'has-error' : ''">
                                                    <label class="control-label">Last Name</label>
                                                    <input type="text" id="LastName" class="form-control" placeholder="Last Name" ng-model="dataUser.LastName">
                                                    <span class="help-block">{{validation.LastName}}</span>
                                                </div>
                                                <div class="form-group" ng-class="validation.dataUser.Phone ? 'has-error' : ''">
                                                    <label class="control-label">Phone</label>
                                                    <input type="text" id="Phone" class="form-control" placeholder="Phone" ng-model="dataUser.Phone">
                                                    <span class="help-block">{{validation.dataUser.Phone}}</span>
                                                </div>
                                                <div class="form-group" ng-class="validation.PhoneExt ? 'has-error' : ''">
                                                    <label class="control-label">PhoneExt</label>
                                                    <input type="text" id="PhoneExt" class="form-control" placeholder="PhoneExt" ng-model="dataUser.PhoneExt">
                                                    <span class="help-block">{{validation.dataUser.PhoneExt}}</span>
                                                </div>
                                            <div class="form-group">
                                                <label class="control-label">SNN</label>
                                                <input type="text" id="SNN" class="form-control" placeholder="SNN" ng-model="dataUser.SNN">
                                                <span class="help-block">{{validation.SNN}}</span>
                                            </div>


                                            </fieldset>

                                        </div>

                                        <div class="col-md-5">
                                            <fieldset>
                                                <div class="form-group">
                                                    <label class="control-label">Email</label>
                                                    <input type="text" id="Email" class="form-control" placeholder="Email" ng-model="dataUser.Email">
                                                    <!--<span class="help-block"> This is inline help </span>-->
                                                </div>
                                                <div class="form-group">
                                                    <label class="control-label">User Name</label>
                                                    <input type="text" id="UserName" class="form-control" placeholder="User Name" ng-model="dataUser.UserName">
                                                    <!--<span class="help-block"> This is inline help </span>-->
                                                </div>
                                                <div class="form-group">
                                                    <label class="control-label">Salt</label>
                                                    <input type="text" id="salt" class="form-control" placeholder="salt" ng-model="dataUser.salt">
                                                    <!--<span class="help-block"> This is inline help </span>-->
                                                </div>
                                                <div class="form-group">
                                                    <label class="control-label">Alias</label>
                                                    <input type="text" id="Alias" class="form-control" placeholder="Alias" ng-model="dataUser.Alias">
                                                    <!--<span class="help-block"> This is inline help </span>-->
                                                </div>
                                            </fieldset>
                                        </div>


                                        <div class="col-md-5">
                                            <fieldset>
                                                <div class="form-group">
                                                    <label class="control-label">Bar</label>
                                                    <input type="text" id="Bar" class="form-control" placeholder="Bar" ng-model="dataUser.Bar">

                                                </div>
                                                <div class="form-group">
                                                    <label class="control-label">IM</label>
                                                    <input type="text" id="IM" class="form-control" placeholder="Im" ng-model="dataUser.IM">

                                                </div>
                                            </fieldset>
                                        </div>

                                        <div class="col-md-5" ng-show="!dataUser.Id">
                                            <fieldset>
                                                <div class="form-group">
                                                    <label class="control-label">Password</label>
                                                    <input type="password" class="form-control" placeholder="Password" ng-model="dataUser.Password">
                                                    <!--<span class="help-block"> This is inline help </span>-->
                                                </div>
                                                <div class="form-group">
                                                    <label class="control-label">Confirm Password</label>
                                                    <input type="password" class="form-control" placeholder="Password Confirm" ng-model="dataUser.PasswordConfirm">
                                                    <!--<span class="help-block"> This is inline help </span>-->
                                                </div>
                                            </fieldset>
                                        </div>

                                    </div>

                                </uib-tab>
                                <uib-tab index="1" heading="Permission">
                                    <div class="row">
                                        <div class="col-md-5">
                                            <fieldset>
                                                <div class="form-group" ng-class="validation.Groups ? 'has-error' : ''">
                                                    <label class="control-label">Groups</label>
                                                    <select kendo-multi-select k-options="groupsOptions" class="form-control" k-ng-model="dataUser.Groups"></select>

                                                    <span class="help-block">{{validation.dataUser.Groups}}</span>
                                                </div>
                                            </fieldset>
                                        </div>
                                        <div class="col-md-5">
                                            <fieldset>
                                                <div class="form-group" ng-class="validation.Role ? 'has-error' : ''">
                                                    <label class="control-label">Roles</label>
                                                    <select kendo-multi-select k-options="rolesOptions" class="form-control" k-ng-model="dataUser.Roles"></select>
                                                    <!-- <p ng-show="dataGroup.Role.length" style="padding-top: 1em;">Selected: {{ selectedIds }}</p>-->
                                                    <span class="help-block">{{validation.dataUser.Role}}</span>
                                                </div>
                                            </fieldset>
                                        </div>
                                    </div>

                                </uib-tab>

                            </uib-tabset>



                        </div>
                        <div class="form-actions right">
                            <button type="button" class="btn default" ng-click="cancel()">Cancel</button>
                            <button type="button" class="btn blue" ng-click="UserServiceUpdate()">
                                <i class="fa fa-check"></i> Save
                            </button>
                        </div>
                    </form>

                    <!-- END FORM-->

                </div>
            </div>
        </div>
    </div>
</div>
<!-- END MAIN CONTENT -->
<!-- BEGIN MAIN JS-->
<script>
    // call any jquery or angularjs code ehre
</script>
<!-- BEGIN MAIN JS -->